import fly from "./main";
import store from "@/store/index"


// 代理商详情
export function agentDetail($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/agent-detail', $param);
}


// 代理商收益详情
export function agentIncomeDetail($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/income-detail', $param);
}

// 代理商收益列表
export function agentIncomeList($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/income-list', $param);
}

// 代理商订单列表
export function agentOrderList($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/order-list', $param);
}

// 代理商订单详情
export function agentOrderDetail($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/order-detail', $param);
}


// 代理商订单详情
export function agentUserList($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/user-list', $param);
}

// 邀请卡列表
export function agentInviteStock($param = {}) {
  $param['access_token'] = wx.getStorageSync('token')
  return fly.post('agent/invite-stock', $param);
}
